function bench_det01(LN,d,nbruns)
  setfun=@(varargin) fc_linalg3D.benchs.set_det(varargin{:});

  Lfun={@(varargin) fc_linalg3D.det.detLaplace_Vec(varargin{:}), ...
        @(varargin) fc_linalg3D.det.detLapIdx_Vec(varargin{:}), ...
        @(varargin) fc_linalg3D.det.det_pLUinplace_Vec(varargin{:})};
  names={'Laplace_Vec','LapIdx_Vec','pLUinplace_Vec'};

  Error=@(o1,o2) max(abs(o1(:)-o2(:)));
  Comment=['# Computing determinant using fc_linalg3D.det.det* functions\n'];

  fc_bench.bench(Lfun,setfun,'LN',LN,'d',d,'nbruns',nbruns,'error',Error,'comment',Comment,'names',names)
end
