function D = detLaplace_Cpt(A)
  assert(fc_linalg3D.is3Darray(A));
  [N,m,n]=size(A);
  assert( m==n )
  if m==1
    D=A;return
  end
  D=zeros(N,1);
  for k=1:N
    for j = 1:m
      D(k) = D(k)+(-1)^(j+1)*A(k,1,j)*fc_linalg3D.det.detLaplace(squeeze(A(k,2:m, [1:j-1, j+1:m])));
    end
  end
end
