function C=binaryop_Cvt(A,B,fun)
% function C=binaryop(A,B,fun)
%   element by element generic function
%   fun is either @times, @plus, @minus, @power, @rdivide or @ldivide
  C=fc_linalg3D.ebye.binaryop_init(A,B,fun); % 
  if ~isempty(C), return;end
  [N,dimA,dimB]=fc_linalg3D.getNdims(A,B);
  m=max(dimA(2),dimB(2));n=max(dimA(3),dimB(3));
  A3D=fc_linalg3D.to3Darray(A,N,m,n);
  B3D=fc_linalg3D.to3Darray(B,N,m,n);
  C=fun(A3D,B3D);
end
