function [funA,funB,N,dimA,dimB]=getMats(A,B)
  isA3D=fc_linalg3D.is3Darray(A);
  isB3D=fc_linalg3D.is3Darray(B);
  assert( isA3D || isB3D , 'One of the parameters must be an 3D-array')
  [dimA,dimB]=fc_linalg3D.getDimensions(A,B);
  if isA3D 
    if isB3D, assert(dimA(1)==dimB(1));end
    N=dimA(1);
  else 
    N=dimB(1);
  end
  funA=fc_linalg3D.getMat(A,N);
  funB=fc_linalg3D.getMat(B,N);
%    if isA3D
%      %m=mA;n=nA;
%      funA=@(X,k) reshape(X(k,:,:),dimA(2),dimA(3));
%      funB=fc_linalg3D.getMat(B,N);
%    else 
%      m=mB;n=nB;
%      funB=@(X,k) reshape(X(k,:,:),dimB(2),dimB();
%      funA=fc_linalg3D.getMat(A,N);
%    end
%    dim=[N,m,n];
end
